Skip site navigation (1) Skip section navigation (2)

Re: Postgres / Centos

From: Leonel Nunez <lnunez(at)enelserver(dot)com>
To: Patricio Muñoz <patricio(dot)munoz(at)cmet(dot)net>
Cc: pgsql-es-ayuda(at)postgresql(dot)org
Subject: Re: Postgres / Centos
Date: 2005-04-29 21:20:47
Message-ID: 4272A52F.6050809@enelserver.com (view raw or flat)
Thread:
Lists: pgsql-es-ayuda
Patricio Muñoz wrote:

> Leonel Nunez escribió:
>
>> Patricio Muñoz wrote:
>>
>>> Alvaro Herrera escribió:
>>>
>>>> On Fri, Apr 29, 2005 at 12:59:37PM -0400, Patricio Muñoz wrote:
>>>>
>>>>
>>>>>> realmente  usar la  7.4.7 de CentOS  te garantiza que por los  5 
>>>>>> o 7 años de vida de la distro  tendreas esa version de 
>>>>>> PostgreSQL  actualizada de Bugs criticos.
>>>>>>
>>>>>> como todo hay que ver lo que realmente se requiere para el trabajo.
>>>>>
>>>>>
>>>>>
>>>>>
>>>>> Aps, eso no lo tenia contemplado (mejor dicho no lo sabia). 
>>>>> Gracias por el dato
>>>>
>>>>
>>>>
>>>>
>>>>
>>>> Siempre puedes recompilar las aplicaciones con mucha facilidad usando
>>>> rpmbuild y los paquetes src.rpm provistos por CentOS.
>>>
>>>
>>>
>>>
>>> Eso quiere decir que puedo instalar la ultima version de Postgres 
>>> (8.0.2) bajando los src.rpm (provistos por postgres) y construirlos 
>>> en CentOS ?
>>
>>
>>
>> No
>> Quiere decir que tienes que bajar los SRPMS de los paquetes que 
>> dependen de PostgreSQL y reconstruirlos en CentOS con el PostgreSQL 
>> 8.0.2 instalado
>>
>>
>> leonel
>
>
> Aps, pense que la cosa era mas simple :-( (al menos para mi que 
> acostumbro a instalar postgres con rpm). Que metodo alternativo me 
> recomiendas para la instalacion ?
>
> saludos
>
>
>
>
>
>


Puede ser simple :)

./configure ; make install


pero el punto es si tienes otras apicaciones del sistema que requieran 
postgresql si tendras que recompilarlas
si no hay otros paquetes   de tu distro que uses y no requieran 
postgresql    no hay problema  esto es si solo tu aplicacion requiere 
PostgreSQL   No hay problema


Leonel




In response to

Responses

pgsql-es-ayuda by date

Next:From: Mario GonzalezDate: 2005-04-29 21:26:52
Subject: Re: PANIC: No levanta Postgres
Previous:From: Alvaro HerreraDate: 2005-04-29 21:16:42
Subject: Re: Pasar bases de Postgres 7.4 a 7.2.1

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group